Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163744 - the path to the config files in local_config.py is hardcoded and missed by munger.sh
Summary: the path to the config files in local_config.py is hardcoded and missed by mu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Wregglesworth
QA Contact: Max Spevack
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 19:14 UTC by John Wregglesworth
Modified: 2007-10-24 02:37 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 03:06:23 UTC


Attachments (Terms of Use)

Description John Wregglesworth 2005-07-20 19:14:50 UTC
Description of problem: The path to the config files for solaris is hardcoded in
local_config.py and is missed by the munger.sh script when rhncfg for solaris is
built. This causes rhncfg-* to look in the wrong location for it's configuration
files.


Version-Release number of selected component (if applicable): 4.0-25


How reproducible: always


Steps to Reproduce:
1. on a solaris machine, run rhncfg-client list.
  
Actual results:
Gives a traceback

Expected results:
It should at least print "No managed files."

Comment 1 John Wregglesworth 2005-07-20 19:39:08 UTC
Fixed in CVS

Test Plan:

1. Install rhncfg-* on a Solaris client that is subscribed to a satellite.
2. Run rhncfg-list. It shouldn't give an error. It should say "No managed
files." if the client machine isn't subscribed to a config channel, or if the
config channel doesn't have any files in it.

Comment 2 Max Spevack 2005-08-07 19:05:25 UTC
PROD_READY

RHATrcfgc       rhncfg-client 4.0
                (noarch) 4.0,REV=28
root@rhnsun3 / % rhncfg
rhncfg-client   rhncfg-manager
root@rhnsun3 / % rhncfg-client list
DoF   Config Channel   File
F           config     /tmp/foo.txt
root@rhnsun3 / % rhncfg-client list
No managed files.



Note You need to log in before you can comment on or make changes to this bug.